编译不通过,于是安装rpm转来的deb包,但运行却缺少libssl.so.4,如何解决?

编译安装或者制作Deb包
回复
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

编译不通过,于是安装rpm转来的deb包,但运行却缺少libssl.so.4,如何解决?

#1

帖子 yongyi » 2005-07-31 22:13

编译搞不定,于下了在ml编译的RPM,转成DEB,安装倒没提示错误,但运行却有以下错误,兄弟们有何建议?

代码: 全选

yongyi@ubuntu:~$ kftpgrabber
kftpgrabber: error while loading shared libraries: libssl.so.4: cannot open shared object file: No such file or directory
yongyi@ubuntu:~$

我已经安装了libssl0.9.7 和 libssl-dev
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
oneleaf
论坛管理员
帖子: 10208
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 99 次

#2

帖子 oneleaf » 2005-07-31 23:19

手工链接一个libssl.so.4试试?
当净其意如虚空,远离妄想及诸取,令心所向皆无碍
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 yongyi » 2005-07-31 23:21

搞定,作了个链接(ubuntu 跟ML比较多不同):
sudo ln -s /usr/lib/libssl.so.0.9.7 /usr/lib/libssl.so.4
sudo ln -s /usr/lib/libcrypto.so.0.9.7 /usr/lib/libcrypto.so.4

不过这软件也不好用,像玻璃般容易破碎 :P
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
回复

回到 “编译或打包”